[Twisted-Python] Have I installed twisted correctly - part II

Simon Pickles sipickles at hotmail.com
Fri Jun 8 17:49:47 EDT 2007

"It looks like your version of ZopeInterface doesn't want to play nicely
with your version of Twisted.  Try getting the latest release of each."

Well, I just installed python 2.5 and latest twisted... I don't even know 
what zope is! I downloaded zope but that doesn't look like it will help 

Any more ideas?

Here's my error again:
Traceback (most recent call last):
File "<string>", line 74, in run_nodebug
File "F:\_Dev\twisted server 20070608\twistedServer.py", line 5, in <module>
   from twisted.internet import reactor
File "C:\Python25\lib\site-packages\twisted\__init__.py", line 19, in 
   from zope.interface import Interface
File "C:\Python25\lib\site-packages\zope\interface\__init__.py", line 58, in 
File "C:\Python25\lib\site-packages\zope\interface\interface.py", line 936, 
in _wire
   classImplements(Attribute, IAttribute)
File "C:\Python25\lib\site-packages\zope\interface\declarations.py", line 
464, in classImplements
   spec = implementedBy(cls)
File "C:\Python25\lib\site-packages\zope\interface\declarations.py", line 
330, in implementedByFallback
   if isinstance(spec, Implements):
TypeError: isinstance() arg 2 must be a class, type, or tuple of classes and 


Txt a lot? Get Messenger FREE on your mobile.  

More information about the Twisted-Python mailing list